hosting

PUT /v1/sites/{siteId}/wordpress/themes/{themeName}

Activate or deactivate a theme on a site.

എല്ലാ hosting എൻഡ്‌പോയിന്റുകളും

പ്രമാണീകരണം

ബെയറർ ടോക്കണായി ഒരു API കീ അയയ്ക്കുക. കീക്ക് sites.view അനുമതി ഉണ്ടായിരിക്കണം; അനുമതിയില്ലാത്ത കീ 404 അല്ല, 403 നൽകി നിരസിക്കപ്പെടും.

ഈ എൻഡ്പോയിന്റ് ഓർഗനൈസേഷൻ ഐഡി സ്വീകരിക്കുന്നില്ല. നിങ്ങളുടെ കീ അത് ഉൾപ്പെടുന്ന ഓർഗനൈസേഷനെ ഇതിനകം തിരിച്ചറിയുന്നുണ്ട്, ഒപ്പം പ്രതികരണം അതിലേക്ക് പരിമിതപ്പെടുത്തിയിരിക്കുന്നു.

ശ്രമിച്ച് നോക്കൂ

കോണമ്ബ്രക്കറ്റുകളിലുള്ള ഏതും നിങ്ങളുടെ സ്വന്തം മൂല്യങ്ങൾ ഉപയോഗിച്ച് മാറ്റിസ്ഥാപിക്കുക, കീ പ്ലേസ്‌ഹോൾഡർ നിങ്ങളുടെ ഡാഷ്‌ബോർഡിലെ ഒരു കീ ഉപയോഗിച്ചും മാറ്റിസ്ഥാപിക്കുക.

curl -X PUT https://api.zinndigital.com/v1/sites/{siteId}/wordpress/themes/{themeName} \
  -H "Authorization: Bearer zdk_live_…" \
  -H "Content-Type: application/json" \
  -d '{ "active": <boolean> }'

സൈൻ ഇൻ ചെയ്തിട്ടുണ്ടോ? നിങ്ങളുടെ ഡാഷ്‌ബോർഡിലെ API കൺസോൾ നിങ്ങളുടെ യഥാർത്ഥ ഓർഗനൈസേഷൻ ഐഡിയും നിങ്ങളുടെ സ്വന്തം കീയും പൂരിപ്പിക്കുകയും, യഥാർത്ഥ പ്രതികരണം (response) നിങ്ങൾക്ക് കാണുന്നതിനായി ലൈവ് API-ലേക്ക് അഭ്യർത്ഥന (request) പ്രവർത്തിപ്പിക്കുകയും ചെയ്യുന്നു. ഈ എൻഡ്പോയിന്റ് API കൺസോളിൽ തുറക്കുക

വിശദാംശങ്ങൾ

Switches the site's active theme and returns the whole theme list. Activating a theme changes what every visitor sees immediately, so the client confirms first. Refused `422` when the package type does not carry `wp_themes`, or when WordPress is not installed. `404` for a site with no vendor hosting package. Requires `sites.view` and `sites.panel_access`.

പരാമീറ്ററുകൾ

പേര്തരംആവശ്യമാണ്എന്താണിത്
siteId (path)UuidഅതെSite ID (UUIDv7).
themeName (path)stringഅതെThe theme's slug, exactly as `listSiteWordPressThemes` reports it. WordPress's identifier, not ours — percent-encode it.

അഭ്യർത്ഥന ബോഡി

പേര്തരംആവശ്യമാണ്എന്താണിത്
activebooleanഅതെWhether the theme should be the site's active theme.

പ്രതികരണം

പേര്തരംആവശ്യമാണ്എന്താണിത്
dataSiteWordPressTheme[]അതെThe installed themes.

ഈ എൻഡ്‌പോയിന്റ് നൽകാൻ കഴിയുന്ന പിഴവുകൾ

401 · 403 · 404 · 409 · 422 · 429 · 503